Description

"is not" operator for Subproject is expected to exclude only given projects, however, it actually excludes closed projects as well.

Suppose the following project tree.

parent(status: active) -- issue15

 +-- child1 (status: closed) -- issue16

 +-- child2 (status: active) -- issue17

 +-- child3 (status: active) -- issue18

 When you apply the issues filter "[Subproject] [is not] [child3]" on the "parent", issues from "child1" and "child2" should be displayed

but you will see issues only from child2.

Applying issues filter "[Subproject] [is not] [child3]" on the "parent":

[Expected result]

issue15, issue16, issue17

[Actual result]

issue15, issue17

 The behavior is clearly inconsistent with the "is" and "any" operator, because the "is" operator is can be used for closed projects and

displays its issues, and the "any" operator includes closed projects as well as active projects.

Related issues:

Related to Redmine - Defect #34297: Subprojects issues are not displayed on m... Closed

Associated revisions

Revision 20694 - 2020-12-28 01:52 - Go MAEDA

Make sure that "is not" operator for Subproject filter does not exclude closed subprojects (#34375).

The issue has been fixed in r20693 along with #34297.

Revision 20697 - 2020-12-29 08:13 - Go MAEDA

Merged r20694 from trunk to 4.1-stable (#34375).

Revision 20698 - 2020-12-29 08:14 - Go MAEDA

Merged r20694 from trunk to 4.0-stable (#34375).

History

#1 - 2020-12-03 07:12 - Go MAEDA

- Related to Defect #34297: Subprojects issues are not displayed on main project when all subprojects are closed added

#2 - 2020-12-03 08:35 - Go MAEDA

The issue is caused at source:branches/4.1-stable/app/models/query.rb#L886

#3 - 2020-12-27 14:02 - Go MAEDA

- File 34375-test.patch added
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/4.1-stable/app/models/query.rb#L886


- Target version set to 4.0.8

This issue has been fixed in r20693. The attached test code makes sure that.

#4 - 2020-12-28 01:52 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the test code.

#5 - 2020-12-29 08:14 - Go MAEDA

- Status changed from Resolved to Closed

Files

34375-test.patch 1.21 KB 2020-12-27 Go MAEDA
